Bug 119717 - shift + l doesnt produce L when using Serbian keyboard
shift + l doesnt produce L when using Serbian keyboard
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gnome-applets (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2004-04-01 14:20 EST by Igor Loncarevic
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-09 13:44:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Igor Loncarevic 2004-04-01 14:20:49 EST
Description of problem:

When choosing Serb keymap from gnome-applet Keyboard Layout Switcher
2.2.2 combination of shift + l is not producing big l (L) it stays on
small l (l).

Version-Release number of selected component (if applicable):

Keyboard Layer Switcher 2.2.2

How reproducible:


Steps to Reproduce:
1. Add Serb keymap via Keyboard Layer Switcher gnome-applet
2. Make Serb keymap current keyboard
3. Start typing
Actual results:


Expected results:


Additional info:

The very same problem persists in Red Hat Linux 9 and Fedora Core 1
Comment 1 Mark McLoughlin 2004-05-31 07:00:11 EDT
Does "Serbian standard xkb keymap" work for you ?

The difference between the two is that "Serb keymap" does "gkb_xmmap
yu" and "standard xkb keymap" does "setxkbmap sr".
Comment 2 Igor Loncarevic 2004-06-01 15:46:02 EDT
"setxkbmap sr" is giving me correct L, but note that standard xkb
keymap is giving Cyrilic Serbian.

In first case it was Latin Serbian version that needs to be fixed.

Comment 3 Mark McLoughlin 2004-06-02 01:59:53 EDT
In /usr/share/xmodmap/xmodmap.yu, try changing:

keycode  46 = l l Lstroke


keycode  46 = l L Lstroke

Does that fix it ?
Comment 4 Igor Loncarevic 2004-06-02 17:33:29 EDT
Hi Mark,

Yes it does!

Comment 5 Ray Strode [halfline] 2005-09-09 13:44:22 EDT
This problem is resolved Red Hat Enterprise Linux 4. Red Hat does not currently
plan to provide a resolution for this in a Red Hat Enterprise Linux 3 update for
currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 

Note You need to log in before you can comment on or make changes to this bug.